commit:     3ab134be298c122ab86b0c743e47d151c48185f8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 19 10:47:32 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov 19 10:49:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ab134be

media-libs/freetype: Replaced failing patch with sed statement.

Closes: https://bugs.gentoo.org/658492
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/freetype/freetype-9999.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/media-libs/freetype/freetype-9999.ebuild 
b/media-libs/freetype/freetype-9999.ebuild
index 62dcbc70637..e9f895c9ce0 100644
--- a/media-libs/freetype/freetype-9999.ebuild
+++ b/media-libs/freetype/freetype-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -42,9 +42,6 @@ DEPEND="${RDEPEND}
 PDEPEND="infinality? ( media-libs/fontconfig-infinality )"
 
 PATCHES=(
-       # This is the same as the 01 patch from infinality
-       "${FILESDIR}"/${PN}-2.7-enable-valid.patch
-
        "${FILESDIR}"/${PN}-2.4.11-sizeof-types.patch # 459966
 )
 
@@ -97,6 +94,9 @@ src_prepare() {
 
        default
 
+       # This is the same as the 01 patch from infinality
+       sed '/AUX_MODULES += \(gx\|ot\)valid/s@^# @@' -i modules.cfg || die
+
        enable_option() {
                sed -i -e "/#define $1/ { s:/\* ::; s: \*/:: }" \
                        include/${PN}/config/ftoption.h \
@@ -150,7 +150,7 @@ src_prepare() {
 
        # we need non-/bin/sh to run configure
        if [[ -n ${CONFIG_SHELL} ]] ; then
-               sed -i -e "1s:^#![[:space:]]*/bin/sh:#!$CONFIG_SHELL:" \
+               sed -i -e "1s:^#![[:space:]]*/bin/sh:#!${CONFIG_SHELL}:" \
                        "${S}"/builds/unix/configure || die
        fi
 

Reply via email to